<mat-toolbar>
  <button mat-icon-button (click)="goBack()">
    <mat-icon>arrow_back_ios</mat-icon>
  </button>
  <span>Back</span>
  <span class="fill-space"></span>

  <span class="title">{{ teamName }}</span>

  <span class="fill-space"></span>
</mat-toolbar>

@for (item of playerList; track item) {
<mat-card cols="1" class="card">
  <div class="card-content">
    <img
      mat-card-image
      src="{{ item.thumbnail }}"
      alt="Card Image"
      class="player-image"
    />
    <div class="player-info">
      <h2 mat-card-title>{{ item.name }}</h2>
      <p mat-card-subtitle>{{ item.position }}</p>
      <p mat-card-subtitle>birthDate : {{ item.born | date : "yyyy-MM-dd" }}</p>

      @if (item.signin.amount){
      <p mat-card-subtitle>
        price :{{
          item.signin.amount | currency : item.signin.currency : "$" : "1.2-2"
        }}
      </p>

      }@else {
      <p mat-card-subtitle>price : Free</p>

      }
    </div>
  </div>
</mat-card>
} @empty {
<div class="empty-list-container">
  <mat-card> Empty list of players </mat-card>
</div>
}
